<?php

namespace App\Entities\PagSeguro\Order;

use App\Entities\PagSeguro\Share\PagSeguroAddress;
use App\Utils\Builder;

class PagSeguroShippingBuilder implements Builder {
	protected $address;

	public function build(): PagSeguroShipping {

		$obj = new PagSeguroShipping();

		$obj->setAddress( $this->address );

		return $obj;

	}

	/**
	 *
	 * @param mixed $address
	 */
	public function setAddress(PagSeguroAddress $address): PagSeguroShippingBuilder {

		$this->address = $address;
		return $this;

	}

}

